/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.application.client.validation;

import com.johnsoncs.gwt.application.client.model.QueryPath;

/**
 * @author wilj
 *
 */
public interface ValidationValue {

	<T> T getAttributeValue(Integer index);

	<T> T getAttributeValue(String key);

	ValidationValue getChild(Integer index);

	ValidationValue getChild(String key);

	QueryPath getQueryPath();

	<T> T getValue();

	Integer size();
}
