/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.themes.jcs.client;

import com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportMessages;

/**
 * @author wilj
 *
 */
public class JCSExportMessages implements ExportMessages {

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportMessages#getDownloadIsReadyText()
	 */
	@Override
	public String getDownloadIsReadyText() {
		return "Export Complete";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportMessages#getDownloadLinkText()
	 */
	@Override
	public String getDownloadLinkText() {
		return "Click here to download";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportMessages#getDownloadWindowCloseButtonText()
	 */
	@Override
	public String getDownloadWindowCloseButtonText() {
		return "Close";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportMessages#getNoOptionSelected()
	 */
	@Override
	public String getNoOptionSelected() {
		return "No option selected";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages#getSelectColumns()
	 */
	@Override
	public String getSelectColumns() {
		return "Select columns to export:";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportMessages#getSelectExportFormat()
	 */
	@Override
	public String getSelectExportFormat() {
		return "Select an export format:";
	}
}
