/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.themes.jcs.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.AbstractImagePrototype;
import com.google.gwt.user.client.ui.ImageBundle;

/**
 * @author wilj
 *
 */
public interface JCSImageBundle extends ImageBundle {
	public static final JCSImageBundle INSTANCE = GWT.create(JCSImageBundle.class);

	@Resource("sort-arrow-down.png")
	public AbstractImagePrototype arrowDown();

	@Resource("sort-arrow-unsorted.png")
	public AbstractImagePrototype arrowUnsorted();

	@Resource("sort-arrow-up.png")
	public AbstractImagePrototype arrowUp();

	@Resource("close.png")
	public AbstractImagePrototype close();

	@Resource("scroll_down.gif")
	public AbstractImagePrototype scrollDown();

	@Resource("scroll_up.gif")
	public AbstractImagePrototype scrollUp();

	@Resource("settings.png")
	public AbstractImagePrototype settings();
}
