/*
 * Copyright 2009 Johnson Consulting Services
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.johnsoncs.gwt.widgets.client.util;

/**
 * Inteface to be implemented by Style enumerations in widgets
 * @author wilj
 *
 */
public interface StyleEnum {
	/**
	 * Returns the CSS style name represented by the enum value
	 * @return the CSS style name represented by the enum value
	 */
	public String getStyle();
}
