/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.themes.jcs.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.Image;
import com.johnsoncs.gwt.widgets.client.notifications.NotificationImages;

/**
 * @author wilj
 *
 */
public class JCSNotificationImages implements NotificationImages {

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.notifications.NotificationImages#getClose()
	 */
	@Override
	public Image getClose() {
		// NOTE: this does not use an ImageBundle image because of IE's alpha channel issues (doesn't render properly transparent)
		return new Image(GWT.getModuleBaseURL() + "images/notifier/close.png");
	}

}
