/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.themes.jcs.client;

import com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages;

/**
 * @author wilj
 *
 */
public class JCSTableMessages implements TableMessages {
	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages#getLoadingData()
	 */
	@Override
	public String getLoadingData() {
		return "Loading data...";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages#getMustSelectAtLeastOneColumn()
	 */
	@Override
	public String getMustSelectAtLeastOneColumn() {
		return "Please select at least one column";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages#getNoRecordsFound()
	 */
	@Override
	public String getNoRecordsFound() {
		return "No records found";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages#getOptions()
	 */
	@Override
	public String getOptions() {
		return "Options";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages#getSelectAll()
	 */
	@Override
	public String getSelectAll() {
		return "Select All";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages#getSelectColumns()
	 */
	@Override
	public String getSelectColumns() {
		return "Select columns to display:";
	}
}
